Get Account External Balance
This operation can be used to retrieve external account balance.
GET
/
v1
/
stip
/
accounts
/
{id}
/
external-balance
Get Account External Balance
curl --request GET \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control/v1/stip/accounts/{id}/external-balance' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control/v1/stip/accounts/{id}/external-balance"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control/v1/stip/accounts/{id}/external-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": {
"amount": 3.14,
"currency": "EUR"
},
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Account id
Query Parameters
The audit user to log the request
Response
Successful operation
Amount including currency
Show child attributes
Show child attributes
Indicates what entity updated the balance last time. If updated by institution, it will have value of auditUser that updated the balance. If updated by Enfuce STIP, it will have value of ENFUCE_STIP set.
Timestamp when the balance was last updated
Was this page helpful?
⌘I
Get Account External Balance

